Subject: Re: lanana: Add major/minor entries for PPC QE UART devices

From: "H. Peter Anvin" <[email-masked]>
Date: Wed, 28 Feb 2007 10:00:19 -0800

Timur Tabi wrote:
> Dan Malek wrote:
> 
>> I'd shoot that down, too.  Using udev in an
>> embedded, reliable environment is very
>> troublesome.  Although, products I've
>> developed using more than 4 UARTs had
>> some custom /dev work done to it just
>> to get everything mapped.  My only
>> concern is we don't add a new range for
>> QE UARTs, that we use the same minors
>> for both CPM and QE.
> 
> Then it appears that the only possible solution is to assign numbers 46 
> - 53 to the CPM/QE and accept that it overlaps with the Altix.  Is 
> everyone okay with that?
> 

I would much rather see these devices moved to a different minor range.

	-hpa